Package com.collabnet.ce.soap60.webservices.wiki

# Class WikiAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.wiki.WikiAppSoapMockStub

All Implemented Interfaces:
  `IWikiAppSoap`

public class WikiAppSoapMockStub extends ClientSoapMockStub implements IWikiAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WikiAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)`
  Simulate a call to addAttachment
  `void`
  `addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)`
  Simulate a call to addAttachments
  `WikiPageSoapDO`
  `createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment)`
  Simulate a call to createWikiPage
  `void`
  `deleteWikiPage(String sessionId, String wikiPageId)`
  Simulate a call to deleteWikiPage
  `String`
  `getFormattedWikiPageText(String sessionId, String wikiPageId)`
  Simulate a call to getFormattedWikiPageText
  `WikiPageSoapDO`
  `getWikiPageData(String sessionId, String wikiPageId)`
  Simulate a call to getWikiPageData
  `WikiPageSoapDO`
  `getWikiPageDataByName(String sessionId, String projectId, String wikiPageName)`
  Simulate a call to getWikiPageDataByName
  `WikiPageSoapList`
  `getWikiPageList(String sessionId, String projectId)`
  Simulate a call to getWikiPageList
  `void`
  `prepareAddAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)`
  Prepare a simulated response to addAttachment
  `void`
  `prepareAddAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype, Exception exception)`
  Prepare a simulated response to addAttachment
  `void`
  `prepareAddAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)`
  Prepare a simulated response to addAttachments
  `void`
  `prepareAddAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments, Exception exception)`
  Prepare a simulated response to addAttachments
  `void`
  `prepareCreateWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment, Object returnValue)`
  Prepare a simulated response to createWikiPage
  `void`
  `prepareDeleteWikiPage(String sessionId, String wikiPageId)`
  Prepare a simulated response to deleteWikiPage
  `void`
  `prepareDeleteWikiPage(String sessionId, String wikiPageId, Exception exception)`
  Prepare a simulated response to deleteWikiPage
  `void`
  `prepareGetFormattedWikiPageText(String sessionId, String wikiPageId, Object returnValue)`
  Prepare a simulated response to getFormattedWikiPageText
  `void`
  `prepareGetWikiPageData(String sessionId, String wikiPageId, Object returnValue)`
  Prepare a simulated response to getWikiPageData
  `void`
  `prepareGetWikiPageDataByName(String sessionId, String projectId, String wikiPageName, Object returnValue)`
  Prepare a simulated response to getWikiPageDataByName
  `void`
  `prepareGetWikiPageList(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getWikiPageList
  `void`
  `prepareSetWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)`
  Prepare a simulated response to setWikiPageData
  `void`
  `prepareSetWikiPageData(String sessionId, WikiPageSoapDO wikiPageData, Exception exception)`
  Prepare a simulated response to setWikiPageData
  `void`
  `setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)`
  Simulate a call to setWikiPageData

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WikiAppSoapMockStub

    public WikiAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareCreateWikiPage

    public void prepareCreateWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment, Object returnValue)
    Prepare a simulated response to createWikiPage
    See Also:
      - `WikiAppSoap.createWikiPage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createWikiPage

    public WikiPageSoapDO createWikiPage(String sessionId, String projectId, String name, String wikiText, String versionComment) throws RemoteException
    Simulate a call to createWikiPage
    Specified by:
      `createWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `projectId` - Project in which to create a wiki page.
      `name` - Wiki page name.
      `wikiText` - Wiki text for the page.
      `versionComment` - Wiki page version comment.
    Returns:
      Wiki page data object.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `IllegalArgumentFault` - when one or more of the parameters are invalid.
      `ObjectAlreadyExistsFault` - when a page with the specified name already exists in the project
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.createWikiPage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareDeleteWikiPage

    public void prepareDeleteWikiPage(String sessionId, String wikiPageId)
    Prepare a simulated response to deleteWikiPage
    See Also:
      - `WikiAppSoap.deleteWikiPage(java.lang.String, java.lang.String)`

  - ### prepareDeleteWikiPage

    public void prepareDeleteWikiPage(String sessionId, String wikiPageId, Exception exception)
    Prepare a simulated response to deleteWikiPage
    See Also:
      - `WikiAppSoap.deleteWikiPage(java.lang.String, java.lang.String)`

  - ### deleteWikiPage

    public void deleteWikiPage(String sessionId, String wikiPageId) throws RemoteException
    Simulate a call to deleteWikiPage
    Specified by:
      `deleteWikiPage` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.deleteWikiPage(java.lang.String, java.lang.String)`

  - ### prepareGetWikiPageData

    public void prepareGetWikiPageData(String sessionId, String wikiPageId, Object returnValue)
    Prepare a simulated response to getWikiPageData
    See Also:
      - `WikiAppSoap.getWikiPageData(java.lang.String, java.lang.String)`

  - ### getWikiPageData

    public WikiPageSoapDO getWikiPageData(String sessionId, String wikiPageId) throws RemoteException
    Simulate a call to getWikiPageData
    Specified by:
      `getWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page data object.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.getWikiPageData(java.lang.String, java.lang.String)`

  - ### prepareGetFormattedWikiPageText

    public void prepareGetFormattedWikiPageText(String sessionId, String wikiPageId, Object returnValue)
    Prepare a simulated response to getFormattedWikiPageText
    See Also:
      - `WikiAppSoap.getFormattedWikiPageText(java.lang.String, java.lang.String)`

  - ### getFormattedWikiPageText

    public String getFormattedWikiPageText(String sessionId, String wikiPageId) throws RemoteException
    Simulate a call to getFormattedWikiPageText
    Specified by:
      `getFormattedWikiPageText` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.getFormattedWikiPageText(java.lang.String, java.lang.String)`

  - ### prepareGetWikiPageDataByName

    public void prepareGetWikiPageDataByName(String sessionId, String projectId, String wikiPageName, Object returnValue)
    Prepare a simulated response to getWikiPageDataByName
    See Also:
      - `WikiAppSoap.getWikiPageDataByName(java.lang.String, java.lang.String, java.lang.String)`

  - ### getWikiPageDataByName

    public WikiPageSoapDO getWikiPageDataByName(String sessionId, String projectId, String wikiPageName) throws RemoteException
    Simulate a call to getWikiPageDataByName
    Specified by:
      `getWikiPageDataByName` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `wikiPageName` - Name of the wiki page.
    Returns:
      Wiki page text in formatted form.
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.getWikiPageDataByName(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetWikiPageList

    public void prepareGetWikiPageList(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getWikiPageList
    See Also:
      - `WikiAppSoap.getWikiPageList(java.lang.String, java.lang.String)`

  - ### getWikiPageList

    public WikiPageSoapList getWikiPageList(String sessionId, String projectId) throws RemoteException
    Simulate a call to getWikiPageList
    Specified by:
      `getWikiPageList` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      wiki page list
    Throws:
      `IllegalArgumentFault` - when the method argument(s) are invalid
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.getWikiPageList(java.lang.String, java.lang.String)`

  - ### prepareSetWikiPageData

    public void prepareSetWikiPageData(String sessionId, WikiPageSoapDO wikiPageData)
    Prepare a simulated response to setWikiPageData
    See Also:
      - `WikiAppSoap.setWikiPageData(java.lang.String, com.collabnet.ce.soap60.webservices.wiki.WikiPageSoapDO)`

  - ### prepareSetWikiPageData

    public void prepareSetWikiPageData(String sessionId, WikiPageSoapDO wikiPageData, Exception exception)
    Prepare a simulated response to setWikiPageData
    See Also:
      - `WikiAppSoap.setWikiPageData(java.lang.String, com.collabnet.ce.soap60.webservices.wiki.WikiPageSoapDO)`

  - ### setWikiPageData

    public void setWikiPageData(String sessionId, WikiPageSoapDO wikiPageData) throws RemoteException
    Simulate a call to setWikiPageData
    Specified by:
      `setWikiPageData` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageData` - Wiki page data object.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `IllegalArgumentFault` - when wiki page data information is invalid.
      `VersionMismatchFault` - when wiki page data is stale.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.setWikiPageData(java.lang.String, com.collabnet.ce.soap60.webservices.wiki.WikiPageSoapDO)`

  - ### prepareAddAttachment

    public void prepareAddAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype)
    Prepare a simulated response to addAttachment
    See Also:
      - `WikiAppSoap.addAttachment(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareAddAttachment

    public void prepareAddAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype, Exception exception)
    Prepare a simulated response to addAttachment
    See Also:
      - `WikiAppSoap.addAttachment(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### addAttachment

    public void addAttachment(String sessionId, String wikiPageId, String fileId, String filename, String mimetype) throws RemoteException
    Simulate a call to addAttachment
    Specified by:
      `addAttachment` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `fileId` - Attachment file ID returned by FileStorageApp/SimpleFileStorageApp webservice.
      `filename` - Attachment file name.
      `mimetype` - Attachment file type.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `NoSuchVersionFault` - when the specified version is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.addAttachment(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareAddAttachments

    public void prepareAddAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments)
    Prepare a simulated response to addAttachments
    See Also:
      - `WikiAppSoap.addAttachments(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

  - ### prepareAddAttachments

    public void prepareAddAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments, Exception exception)
    Prepare a simulated response to addAttachments
    See Also:
      - `WikiAppSoap.addAttachments(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

  - ### addAttachments

    public void addAttachments(String sessionId, String wikiPageId, AttachmentSoapDO[] attachments) throws RemoteException
    Simulate a call to addAttachments
    Specified by:
      `addAttachments` in interface `IWikiAppSoap`
    Parameters:
      `sessionId` - User session id.
      `wikiPageId` - Wiki page id.
      `attachments` - AttachmentSoapDO.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `NoSuchVersionFault` - when the specified version is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `WikiAppSoap.addAttachments(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`